> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.awork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server.

# Updates a custom field selection option.

PUT https://api.awork.com/api/v1/customfielddefinitions/{customFieldDefinitionId}/selectionoptions/{selectionOptionId}
Content-Type: application/json

Updates the specified selection option's value, color, and order within its custom field definition.The user must be an admin or have `project-manage-config:write` permissions.

Reference: https://developers.awork.com/apiv1/custom-fields/put-custom-field-definition-selection-option-by-custom-field-definition-id-and-selection-option-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `customFieldDefinitionId` (string, required) — The id of the custom field definition containing the selection option.
- `selectionOptionId` (string, required) — The id of the selection option to update.

### Body (application/json)

This endpoint expects a CustomFieldSelectionOptionsForm.

- `value` (string, required) — The selection value which can be used in a select custom field.
- `order` (double, required) — The order of the custom field selection option.
- `color` (enum, optional, nullable) — The color of the selection option.
  - Allowed values: `red`, `orange`, `yellow`, `green`, `cyan`, `blue`, `indigo`, `purple`, `steel`

## Response

### 200

OK

- `value` (string, required) — The selection value which can be later used in a select custom field.
- `id` (string, optional) — The id of the custom field selection option.
- `color` (enum, optional, nullable) — The color of the selection option.
  - Allowed values: `red`, `orange`, `yellow`, `green`, `cyan`, `blue`, `indigo`, `purple`, `steel`
- `order` (double, optional) — The order of the custom field selection option.

## Errors

### 404 Not Found Error

Not Found

- `code` (string, required) — The error code.
- `description` (string, required) — The description of the error.
- `link` (string, required) — The link to the API documentation page.
- `details` (list of string, optional, nullable) — A list of details describing the error.
- `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property.
- `traceId` (string, optional, nullable) — The request trace id for tracking the request.

## Types

### ValidationErrorResponse

The validation error response.

- `property` (string, optional, nullable) — The name of the property that failed validation.
- `message` (string, optional, nullable) — The reason why this property failed validation.

## Examples

**Request**

```json
{
  "value": "Website Design",
  "order": 1.1
}
```

**Response**

```json
{
  "value": "Website Design",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "color": "purple",
  "order": 0
}
```

**SDK Code**

```python
import requests

url = "https://api.awork.com/api/v1/customfielddefinitions/customFieldDefinitionId/selectionoptions/selectionOptionId"

payload = {
    "value": "Website Design",
    "order": 1.1
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.awork.com/api/v1/customfielddefinitions/customFieldDefinitionId/selectionoptions/selectionOptionId';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"value":"Website Design","order":1.1}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.awork.com/api/v1/customfielddefinitions/customFieldDefinitionId/selectionoptions/selectionOptionId"

	payload := strings.NewReader("{\n  \"value\": \"Website Design\",\n  \"order\": 1.1\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.awork.com/api/v1/customfielddefinitions/customFieldDefinitionId/selectionoptions/selectionOptionId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"value\": \"Website Design\",\n  \"order\": 1.1\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.awork.com/api/v1/customfielddefinitions/customFieldDefinitionId/selectionoptions/selectionOptionId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"value\": \"Website Design\",\n  \"order\": 1.1\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.awork.com/api/v1/customfielddefinitions/customFieldDefinitionId/selectionoptions/selectionOptionId', [
  'body' => '{
  "value": "Website Design",
  "order": 1.1
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.awork.com/api/v1/customfielddefinitions/customFieldDefinitionId/selectionoptions/selectionOptionId");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"value\": \"Website Design\",\n  \"order\": 1.1\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "value": "Website Design",
  "order": 1.1
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/customfielddefinitions/customFieldDefinitionId/selectionoptions/selectionOptionId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```